/* hyp_math.h    include file for hyperbolic geometry utility routines 
Ken Stephenson, 8/91 */

extern int e_to_h_data();
extern int h_to_e_data();
extern int h_compcenter();
extern int circle_3();
extern double h_comp_x_cos();
extern double h_cos_s_overlap();
extern double h_cos_s_overlap_special();
extern double h_area();
extern double h_invdist_length(double x1,double x2,double ovlp);
double h_dist(complex z,complex w,int uhp_flag);
extern double h_invdist_length(double x1,double x2,double ovlp);
extern complex hyp_tri_center(complex p1,complex p2,complex p3);
