#include "sa_types.h"
#include "sa_proto.h"

/* set centers for verts of string; legality of center should
   already have been checked. */

int set_centers(struct p_data *p,complex ctr,char *datastr)
{
  int count=0,hits;
  double orad;
  char *endptr;
  struct Vertlist *vertlist,*trace;
  struct R_data *pR_ptr=p->packR_ptr;
	
  if ( (vertlist=Node_link_parse(p,datastr,&endptr,&hits,
		 &Vlist,&Elist,&Flist,&region,pathlist,pathlength)) != NULL)
    {
      trace=vertlist;
      while (trace) {
	pR_ptr[trace->v].center=ctr;
	trace=trace->next;
	count++;
      }
      vert_free(&vertlist);
      return count;
    }
  return 0;
} /* set_centers */
