/* eucl_math.h    euclidean geometry utility routines 
Ken Stephenson, 8/91 */

extern int e_compcenter();
extern int e_dilatation(double A,double B,double C,
                        double a,double b,double c,double *retval);
extern int affine_dilatation(double, double, double, double, double *);
extern double e_cos_overlap();
extern double e_cos_overlap_special();
extern double e_area();
extern double R3_dist(complex, complex);
extern double xyz_dist(struct xyzPoint, struct xyzPoint);
extern double invdist_length(double r1,double r2,double ovlap);
extern complex eucl_tri_center(complex p1,complex p2,complex p3);
extern complex quad_cross_ratio(double r1,double r2,double r3,double r4,
		       double e1,double e2,double e3,double e4,double e5);
