#ifndef __SA_HOOKS_H__
#define __SA_HOOKS_H__

#define INTERNAL_MAX_NOFILES 4096

#ifdef WIN32

#include <io.h>
#include <fcntl.h>
#include <windows.h>
#include <direct.h>

#define sleep(t) Sleep((t)*1000)
#define getcwd(a, b) _getcwd(a, b)
#define popen(a, b) _popen(a, b)
#define pclose(a) _pclose(a)
#define isnan(x) _isnan(x)
#define pipe(d) _pipe(d, 512, O_BINARY)

double acosh(double x);
int isinf(double x);

#endif

#define SAHOOK_MAXBUF 1024

int CPset_home_dir(char *home_dir, int len);
int CPset_working_dir(char *working_dir, int len);
int CPset_user_name(char *user_name, int len);

int CPget_max_open_files();

#endif
