#include "sa_types.h"
#include "sa_proto.h"

/* return lengths of an edge list in any geometry */

double any_edge_length(struct p_data *p,struct Edgelist *elist)
{
  double ans=0.0;
  complex a,b;
  struct Edgelist *trace;

  trace=elist;
  while(trace) {
    a=p->packR_ptr[trace->v].center;
    b=p->packR_ptr[trace->w].center;
    if (p->hes<0) ans+=h_dist(a,b,0);
    if (p->hes>0) ans+=s_dist(a,b);
    else ans+=cAbs(csub(a,b));
    trace=trace->next;
  }
  return ans;
} /* any_edge_length */
