#include "sa_types.h"
#include "sa_proto.h"
#include <ctype.h>

/* For converting r g b (0-255) colors into index of "closest" 
color in colortable. This is temporary (9/05) until I get rid
of colortables */

static int idx=1; /* good chance that new index is same as last one */

int col_to_table(int rd, int gn, int bl)
{
  int i,dist;

  if (idx<0 || idx>NUM_COLORS) 
    idx=0;
  else {
    dist=
      abs((int)red[idx]-rd)+abs((int)green[idx]-gn)+abs((int)blue[idx]-bl);
    if (dist==0) return idx;
  }
 
  int mndist=256;

  for (i=0;i<=NUM_COLORS;i++) {
    dist=
      abs((int)red[i]-rd)+abs((int)green[i]-gn)+abs((int)blue[i]-bl);
    if (dist==0) {
      idx=i;
      return idx;
    }
    if(dist<mndist) {
      mndist=dist;
      idx=i;
    }
  }
  return idx;
} /* col_to_table */
