#include "sa_types.h"
#include "sa_proto.h"
/**
 *  Find center of face with given index 
 */
complex face_center(struct p_data *p,int face)
{
  int front;
  complex p1,p2,p3,ctr;
  struct R_data *pR_ptr=p->packR_ptr;

  p1=pR_ptr[p->faces[face].vert[0]].center;
  p2=pR_ptr[p->faces[face].vert[1]].center;
  p3=pR_ptr[p->faces[face].vert[2]].center;
  if (p->hes<0) return(hyp_tri_center(p1,p2,p3));
  if (p->hes>0) return(sph_tri_center(ss_view(p->screen,p1,1,&front),
     ss_view(p->screen,p2,1,&front),ss_view(p->screen,p3,1,&front)));
  else return(eucl_tri_center(p1,p2,p3));
} /* face_center */
