#include "sa_types.h"
#include "sa_proto.h"

/* Brock Williams random number generator. Gives pseudo-random 
number between -1 and 1 */


extern unsigned long int rand_next;

double gwrand()
{
  unsigned int tmp;

  rand_next=rand_next*1103515245 + 12345;
  tmp=(unsigned int)(rand_next/65536) % 32768;
  return (double)(((double)tmp)/32768.0);
} /* gwrand */

/* set a random_seed for future calls to random() */
void set_random_seed() {
	struct timeval tp;
	gettimeofday(&tp,NULL);
	unsigned long ul;
	unsigned int ui;
	ul=(unsigned long) tp.tv_usec;
	ui=ul%30000;
	srandom(ui);
} /* set_random_seed */