#include "sa_types.h"
#include "sa_proto.h"

/* print a Mobius transformation to an open output file */

int output_mobius(FILE *fp,Mobius mob)
{
  if (!fp) return 0;
  fprintf(fp,"  %.10e  %.10e\n",(singledouble)mob.a.re,(singledouble)mob.a.im);
  fprintf(fp,"  %.10e  %.10e\n",(singledouble)mob.b.re,(singledouble)mob.b.im);
  fprintf(fp,"  %.10e  %.10e\n",(singledouble)mob.c.re,(singledouble)mob.c.im);
  fprintf(fp,"  %.10e  %.10e\n",(singledouble)mob.d.re,(singledouble)mob.d.im);
  fprintf(fp,"    %d\n\n",mob.flip);
  return 1;
} /* output_mobius */
