#include "sa_types.h"
#include "sa_proto.h"

int post_any_geo(FILE *fp,struct p_data *p,complex a,complex b,
		 int eflag,int col)
     /* do the right thing with geodesic to postscript */
{
  /* fixup: need to use the color */
  hyp_geodesic hg;

  if (eflag & 8) 
    fprintf(fp,"gs %f %f %f srgb\n",
	    (singledouble) ((double)(red[col])/255),
	    (singledouble) ((double)(green[col])/255),
	    (singledouble) ((double)(blue[col])/255));
  /* else fprintf(fp," 0 sg\n"); */
  if (p->hes<0)
    {
      h_geodesic(a,b,&hg);
      if (hg.line_flag)
	{
	  if (!line_ck(a,b,p->screen->box))
	    {
	      if (eflag & 8) fprintf(fp,"gr\n");
	      return 1;
	    }
	  fprintf(fp,"%f %f m\n%f %f l\ns\n",
		  (singledouble)a.re,(singledouble)a.im,
		  (singledouble)b.re,(singledouble)b.im);
	}
      else 
	{
	  if (!geo_ck(hg,p->screen->box))
	    {
	      if (eflag & 8) fprintf(fp,"gr\n");
	      return 1; /* geodesic is off screen */
	    }
	  fprintf(fp,"%f %f %f %f %f a\ns\n",
		  (singledouble)hg.c.re,(singledouble)hg.c.im,
		  (singledouble)hg.rad,
                  (singledouble)(hg.arg1*degPI),(singledouble)(hg.arg2*degPI));
	}
    }
  else if (p->hes==0)
    {
      if (!line_ck(a,b,p->screen->box))
	{
	  if (eflag & 8) fprintf(fp,"gr\n");
	  return 1;
	}
      fprintf(fp,"%f %f m\n%f %f l\ns\n",
	      (singledouble)a.re,(singledouble)a.im,
	      (singledouble)b.re,(singledouble)b.im);
    }
  else if (p->hes>0) 
    post_s_geo(fp,p->screen,a,b);
  if (eflag & 8) fprintf(fp,"gr\n");
  return 1;
} /* post_any_geo */

