#include "sa_types.h"
#include "sa_proto.h"

int sa_polygon(struct p_data *p,struct Vertlist *vertlist,
	       int fflag,int bcol,int col)
{
  struct R_data *pR_ptr;
  struct Vertlist *trace;

  if (!p->status || !vertlist) return 0;
  pR_ptr=p->packR_ptr;
  printf("<polygon> \n  <corners> ");
  trace=vertlist;
  while (trace)
    {
      printf(" %lf %lf  ",
	     (singledouble) pR_ptr[trace->v].center.re,
	     (singledouble) pR_ptr[trace->v].center.im);
      trace=trace->next;
    }
  printf("</corners>\n");
  if (fflag & 8)
    printf("  <bdry_color> %d %d %d </bdry_color>\n",
	   red[bcol],green[bcol],blue[bcol]);
  if (fflag & 16)
    printf("  <color> %d %d %d </color>\n",
	   red[col],green[col],blue[col]);
  else if (fflag & 4)
    printf("  <color> %d %d %d </color>\n",
	   red[BG_COLOR],green[BG_COLOR],blue[BG_COLOR]);
  else if (fflag & 2)
    printf("  <color> %d %d %d </color>\n",
	   red[FG_COLOR],green[FG_COLOR],blue[FG_COLOR]);

  printf("  <disp_flag> %d </disp_flag>\n"
	 "</polygon>",fflag);
  return 1;
} /* sa_polygon */
